// ComboDlg.cpp : implementation file
//

#include "stdafx.h"
#include "DialogExample.h"
#include "ComboDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CComboDlg dialog


CComboDlg::CComboDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CComboDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CComboDlg)
	m_nCity = -1;
	m_nGu = -1;
	m_nDong = -1;
	m_strRest = _T("");
	m_strAddress = _T("");
	//}}AFX_DATA_INIT
}


void CComboDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CComboDlg)
	DDX_Control(pDX, IDC_COMBO3, m_ctrlDong);
	DDX_Control(pDX, IDC_COMBO2, m_ctrlGu);
	DDX_Control(pDX, IDC_COMBO1, m_ctrlCity);
	DDX_CBIndex(pDX, IDC_COMBO1, m_nCity);
	DDX_CBIndex(pDX, IDC_COMBO2, m_nGu);
	DDX_CBIndex(pDX, IDC_COMBO3, m_nDong);
	DDX_Text(pDX, IDC_EDIT1, m_strRest);
	DDX_Text(pDX, IDC_ADDRESS, m_strAddress);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CComboDlg, CDialog)
	//{{AFX_MSG_MAP(CComboDlg)
	ON_CBN_SELCHANGE(IDC_COMBO1, OnSelchangeCombo1)
	ON_CBN_SELCHANGE(IDC_COMBO2, OnSelchangeCombo2)
	ON_CBN_SELCHANGE(IDC_COMBO3, OnSelchangeCombo3)
	ON_EN_CHANGE(IDC_EDIT1, OnChangeEdit1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CComboDlg message handlers
static CString g_strCity[] = {"⵵", "Ư", "ֱ"};

static CString g_strGu1[] = {"", "Ⱦ", "ΰ"};
static CString g_strGu2[] = {"α", "õ", ""};
static CString g_strGu3[] = {"걸", "", "ϱ"};

static CString g_strDong1[] = {"ö굿", "Ͼȵ", ""};
static CString g_strDong2[] = {"굿", "絿", "ε"};
static CString g_strDong3[] = {"ܵ", "", "絿"};

BOOL CComboDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	for(int i=0; i< 3; i++)
	{
		m_ctrlCity.AddString(g_strCity[i]);
		//AfxMessageBox(g_strCity[i]);
	}
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CComboDlg::ShowAddress()
{
	UpdateData(TRUE);
	
	CString strCity, strGu, strDong;
	if(m_nCity >= 0) m_ctrlCity.GetLBText(m_nCity, strCity);
	if(m_nGu >= 0) m_ctrlGu.GetLBText(m_nGu, strGu);
	if(m_nDong >= 0) m_ctrlDong.GetLBText(m_nDong, strDong);

	m_strAddress.Format("%s %s %s %s", strCity, strGu, strDong, m_strRest);
	UpdateData(FALSE);
}

void CComboDlg::OnSelchangeCombo1() 
{
	// TODO: Add your control notification handler code here
	UpdateData();

	m_ctrlGu.ResetContent();
	m_ctrlDong.ResetContent();

	CString *pGu;
	switch(m_nCity)
	{
		case 0: pGu = g_strGu1;	break;
		case 1: pGu = g_strGu2;	break;
		case 2: pGu = g_strGu3;	break;
	}

	for(int i=0 ; i<3 ; i++)
		m_ctrlGu.AddString(pGu[i]);
	
	ShowAddress();
}

void CComboDlg::OnSelchangeCombo2() 
{
	// TODO: Add your control notification handler code here
	UpdateData();

	m_ctrlDong.ResetContent();

	CString *pDong;
	switch(m_nGu)
	{
		case 0: pDong = g_strDong1;	break;
		case 1: pDong = g_strDong2;	break;
		case 2: pDong = g_strDong3;	break;
	}

	for(int i=0 ; i<3 ; i++)
		m_ctrlDong.AddString(pDong[i]);

	ShowAddress();
}

void CComboDlg::OnSelchangeCombo3() 
{
	// TODO: Add your control notification handler code here
	ShowAddress();
}

void CComboDlg::OnChangeEdit1() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
	ShowAddress();
}
