// DialogExampleView.cpp : implementation of the CDialogExampleView class
//

#include "stdafx.h"
#include "DialogExample.h"

#include "DialogExampleDoc.h"
#include "DialogExampleView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDialogExampleView

IMPLEMENT_DYNCREATE(CDialogExampleView, CView)

BEGIN_MESSAGE_MAP(CDialogExampleView, CView)
	//{{AFX_MSG_MAP(CDialogExampleView)
	ON_COMMAND(ID_LISTBOXDLG, OnListboxdlg)
	ON_COMMAND(ID_COMBODLG, OnCombodlg)
	ON_COMMAND(ID_SPINDLG, OnSpindlg)
	ON_COMMAND(ID_RADIODLG, OnRadiodlg)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialogExampleView construction/destruction

CDialogExampleView::CDialogExampleView()
{
	// TODO: add construction code here

}

CDialogExampleView::~CDialogExampleView()
{
}

BOOL CDialogExampleView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CDialogExampleView drawing

void CDialogExampleView::OnDraw(CDC* pDC)
{
	CDialogExampleDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CDialogExampleView printing

BOOL CDialogExampleView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CDialogExampleView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CDialogExampleView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

/////////////////////////////////////////////////////////////////////////////
// CDialogExampleView diagnostics

#ifdef _DEBUG
void CDialogExampleView::AssertValid() const
{
	CView::AssertValid();
}

void CDialogExampleView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CDialogExampleDoc* CDialogExampleView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CDialogExampleDoc)));
	return (CDialogExampleDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CDialogExampleView message handlers
#include "ListboxDlg.h"
void CDialogExampleView::OnListboxdlg() 
{
	// TODO: Add your command handler code here
	CListboxDlg dlg;

	if(dlg.DoModal() == IDOK)
	{
		AfxMessageBox(dlg.m_strSelected);
	}
}
#include "ComboDlg.h"
void CDialogExampleView::OnCombodlg() 
{
	// TODO: Add your command handler code here
	CComboDlg dlg;
	if(dlg.DoModal() == IDOK)
	{
		AfxMessageBox(dlg.m_strAddress);
	}
}
#include "SpinDlg.h"
void CDialogExampleView::OnSpindlg() 
{
	// TODO: Add your command handler code here
	CSpinDlg dlg;
	if(dlg.DoModal() == IDOK)
	{
		CString str;
		str.Format("ֹ: %d", dlg.m_nAmount);
		AfxMessageBox(str);
	}
}
#include "RadioDlg.h"
void CDialogExampleView::OnRadiodlg() 
{
	// TODO: Add your command handler code here
	CRadioDlg dlg;
	if(dlg.DoModal() == IDOK)
	{
		CString str;
		str.Format(": %d\n۹: %d", dlg.m_nPayment, dlg.m_nDelivery);
		AfxMessageBox(str);
	}
}
