// ListboxDlg.cpp : implementation file
//

#include "stdafx.h"
#include "DialogExample.h"
#include "ListboxDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CListboxDlg dialog


CListboxDlg::CListboxDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CListboxDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CListboxDlg)
	m_strLeft = _T("");
	m_strRight = _T("");
	//}}AFX_DATA_INIT
}


void CListboxDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CListboxDlg)
	DDX_Control(pDX, IDC_LIST2, m_ctrlRight);
	DDX_Control(pDX, IDC_LIST1, m_ctrlLeft);
	DDX_LBString(pDX, IDC_LIST1, m_strLeft);
	DDX_LBString(pDX, IDC_LIST2, m_strRight);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CListboxDlg, CDialog)
	//{{AFX_MSG_MAP(CListboxDlg)
	ON_LBN_DBLCLK(IDC_LIST1, OnDblclkList1)
	ON_LBN_DBLCLK(IDC_LIST2, OnDblclkList2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CListboxDlg message handlers

BOOL CListboxDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	CString strProduct[] = {_T("CPU"), _T("Mainboard"), _T("Mouse"),
	_T("Keyboard"), _T("Case"), _T("Video card"), _T("Sound card"),
	_T("HDD"), _T("FDD"), _T("Modem"), _T("LAN card"), _T("DVD Rom")};

	for(int i=0 ; i<sizeof(strProduct)/sizeof(CString) ; i++)
		m_ctrlLeft.AddString(strProduct[i]);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CListboxDlg::OnDblclkList1() 
{
	// TODO: Add your control notification handler code here
	int nSel = m_ctrlLeft.GetCurSel();

	if(nSel >= 0)
	{
		UpdateData(true);

		m_ctrlLeft.DeleteString(nSel);
		m_ctrlRight.AddString(m_strLeft);
	}
}

void CListboxDlg::OnDblclkList2() 
{
	// TODO: Add your control notification handler code here
	int nSel = m_ctrlRight.GetCurSel();

	if(nSel >= 0)
	{
		UpdateData(true);

		m_ctrlRight.DeleteString(nSel);
		m_ctrlLeft.AddString(m_strRight);
	}	
}

void CListboxDlg::OnOK() 
{
	// TODO: Add extra validation here
	CString strItem;

	UpdateData(true);

	m_strSelected.Empty();

	for(int i=0; i<m_ctrlRight.GetCount() ; i++)
	{
		m_ctrlRight.GetText(i,strItem);

		if(!m_strSelected.IsEmpty()) m_strSelected+=_T(", ");
		m_strSelected += strItem;
	}
	CDialog::OnOK();
}
